use crate::periph::mos6540::Mos6540;
use crate::traits::bus_device::BusDevice;
use crate::traits::memory_chip::MemoryChip;

impl BusDevice for Mos6540 {
    fn min_offset(&self) -> u16 {
        todo!()
    }

    fn max_offset(&self) -> u16 {
        todo!()
    }

    fn address_bus(&self) -> u16 {
        todo!()
    }

    fn data_bus(&self) -> u8 {
        todo!()
    }

    fn set_address_bus(&mut self, new_value: u16) {
        todo!()
    }

    fn set_data_bus(&mut self, new_value: u8) {
        todo!()
    }
}

impl MemoryChip for Mos6540 {
    fn read(&self, offset: &u16) -> u8 {
        todo!()
    }
}